# Interface Decoder.TextStream<T>

Type Parameters:
  `T` - The type of object produced by the decoder

All Superinterfaces:
  `Decoder`

Enclosing interface:
  `Decoder`

public static interface Decoder.TextStream<T> extends Decoder
A decoder that decodes entire text WebSocket messages from a reader into an object of type T.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Decoder

`Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

## Method Summary

Modifier and Type
Method
Description
`T`
`decode(Reader reader)`
Decodes the text data from the reader into an object.

### Methods inherited from interface Decoder

`destroy, init`

## Method Details

### decode

T decode(Reader reader) throws DecodeException, IOException
Decodes the text data from the reader into an object.

Parameters:
  `reader` - The reader containing the text data
Returns:
  The decoded object
Throws:
  `DecodeException` - If the data cannot be decoded
  `IOException` - If an I/O error occurs